import request from '@/utils/request'
import request_formdata from '@/utils/request_formdata'

// 查询产品中心列表
export function getProductCenterListAPI(data) {
    return request({
        url: '/product/case/list',
        method: 'GET',
        params: data,
    })
}

// 新增产品中心
export function addProductCenterAPI(data) {
    return request_formdata({
        url: '/product/case/add',
        method: 'POST',
        data,
    })
}

// 编辑产品中心
export function editProductCenterAPI(data) {
    return request_formdata({
        url: '/product/case/update',
        method: 'POST',
        data,
    })
}

// 删除产品中心
export function deleteProductCenterAPI(data) {
    return request({
        url: '/product/case/delete',
        method: 'POST',
        data,
    })
}

// 获取产品中心详情
export function getProductCenterDetailAPI(data) {
    return request({
        url: '/product/case/getDetails',
        method: 'POST',
        data,
    })
}
